astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Units and Quantities (`astropy.units`) »
- NamedUnit

# NamedUnit

class `astropy.units.core.``NamedUnit`(st, register=None, doc=None, format=None, namespace=None)

  Bases: `astropy.units.core.UnitBase`

  The base class of units that have a name.

  Parameters:

  st : str, list of str, 2-tuple

  > The name of the unit. If a list of strings, the first element is the canonical (short) name, and the rest of the elements are aliases. If a tuple of lists, the first element is a list of short names, and the second element is a list of long names; all but the first short name are considered “aliases”. Each name should be a valid Python identifier to make it easy to access, but this is not required.

  namespace : dict, optional

  > When provided, inject the unit, and all of its aliases, in the given namespace dictionary. If a unit by the same name is already in the namespace, a ValueError is raised.

  doc : str, optional

  > A docstring describing the unit.

  format : dict, optional

  > A mapping to format-specific representations of this unit. For example, for the `Ohm` unit, it might be nice to have it displayed as `\Omega` by the `latex` formatter. In that case, `format` argument should be set to:

  >     {'latex': r'\Omega'}

  Raises:

  ValueError :

  > If any of the given unit names are already in the registry.

  ValueError :

  > If any of the given unit names are not valid Python tokens.

  Attributes Summary

  `aliases` | Returns the alias (long) names for this unit.
  `long_names` | Returns all of the long names associated with this unit.
  `name` | Returns the canonical (short) name associated with this unit.
  `names` | Returns all of the names associated with this unit.
  `short_names` | Returns all of the short names associated with this unit.

  Methods Summary

  `deregister`([remove_from_namespace]) |
  `get_format_name`(format) | Get a name for this unit that is specific to a particular format.
  `register`([add_to_namespace]) |

  Attributes Documentation

  `aliases`

    Returns the alias (long) names for this unit.

  `long_names`

    Returns all of the long names associated with this unit.

  `name`

    Returns the canonical (short) name associated with this unit.

  `names`

    Returns all of the names associated with this unit.

  `short_names`

    Returns all of the short names associated with this unit.

  Methods Documentation

  `deregister`(remove_from_namespace=False)
  `get_format_name`(format)

    Get a name for this unit that is specific to a particular format.

    Uses the dictionary passed into the `format` kwarg in the constructor.

    Parameters:

    format : str

    > The name of the format

    Returns:

    name : str

    > The name of the unit for the given format.

  `register`(add_to_namespace=False)